m.measure(1)

NAME
m.measure - Measures the lengths and areas of features.

KEYWORDS
miscellaneous, measurement, distance, area

SYNOPSIS
m.measure
m.measure --help
m.measure [-g] coordinates=east,north[,east,north,...] [units=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-g
    Shell script style

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

coordinates=east,north[,east,north,...] [required]
    Coordinates

units=string
    Units
    Default: location map units
    Options: miles, feet, meters, kilometers, acres, hectares

DESCRIPTION
m.measure provides the user with a way to measure the lengths and areas of lines and polygons. Areas can be stated in acres, hectares, square miles, square meters and square kilometers.

EXAMPLES
Distance example in a latitude-longitude location (on great circle, i.e. an orthodrome):

Bonn_DE="7.09549,50.73438"
Philadelphia_US="-75.16379,39.95233"
m.measure coordinates="$Bonn_DE,$Philadelphia_US" units=kilometers
Length:  6217.916452 kilometers

Visualization (with d.geodesic) of m.measure distance example

As an example for the North Carolina sample dataset, here four points describing a square of 1000m side length:

m.measure units=meters \
  coordinates=922000,2106000,923000,2106000,923000,2107000,922000,2107000
Length:  3000.000000 meters
Area:    1000000.000000 square meters
# script style output:
m.measure -g units=hectares \
  coordinates=922000,2106000,923000,2106000,923000,2107000,922000,2107000
units=meters,square meters
length=3000.000000
area=1000000.000000

SEE ALSO
d.geodesic

AUTHORS
Glynn Clements
Some updates by Martin Landa, CTU in Prague, Czech Republic
Derived from d.measure by James Westervelt, Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date$

SOURCE CODE

Available at: m.measure source code (history)

Main index | Miscellaneous index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual